laravel new shop_12_wireui


 ┌ Would you like to install a starter kit? ────────────────────┐
 │ Laravel Breeze                                               │
 └──────────────────────────────────────────────────────────────┘

 ┌ Which Breeze stack would you like to install? ───────────────┐
 │ Livewire (Volt Class API) with Alpine                        │
 └──────────────────────────────────────────────────────────────┘

 ┌ Would you like dark mode support? ───────────────────────────┐
 │ No                                                           │
 └──────────────────────────────────────────────────────────────┘

 ┌ Which testing framework do you prefer? ──────────────────────┐
 │ PHPUnit                                                      │
 └──────────────────────────────────────────────────────────────┘

 ┌ Would you like to initialize a Git repository? ──────────────┐
 │ ● Yes / ○ No                                                 │
 └──────────────────────────────────────────────────────────────┘


composer require spatie/laravel-permission

php artisan vendor:publish --provider="Spatie\Permission\PermissionServiceProvider"



php artisan make:seeder PermissionTableSeeder
php artisan make:seeder CreateAdminUserSeeder

建置
php artisan migrate
還原建置
php artisan migrate:rollback
無 DB 新建
php artisan migrate --seed  
有 DB 重制
php artisan migrate:fresh --seed

valet park
valet link
valet paths

php artisan db:seed --class=PermissionTableSeeder
php artisan db:seed --class=CreateAdminUserSeeder

php artisan db:seed --class=SqliteToMysqlSeeder
php artisan db:seed --class=ChineseNameConverterSeeder
        //console.log();
php artisan route:list
php artisan config:clear
php artisan route:clear
php artisan cache:clear
php artisan route:list

npm install && npm run build

php artisan convert:unihan-strokes \
  --input=resources/data/Unihan_IRGSources.txt \
  --output=resources/data/unihan_strokes.php
  
php artisan cache:forget unihan_strokes


composer require wireui/wireui

php artisan vendor:publish --tag="wireui.config"


composer require power-components/livewire-powergrid
php artisan vendor:publish --tag=livewire-powergrid-config

composer require overtrue/php-opencc -vvv
composer require overtrue/pinyin   

操作記錄
composer require spatie/laravel-activitylog
php artisan vendor:publish --provider="Spatie\Activitylog\ActivitylogServiceProvider" --tag="activitylog-migrations"
php artisan migrate
php artisan vendor:publish --provider="Spatie\Activitylog\ActivitylogServiceProvider" --tag="activitylog-config"
php artisan make:model ActivityLog

建立分頁table
php artisan powergrid:create

php artisan make:livewire Admin/ArtistForm  
php artisan make:livewire Admin/SongForm 


php artisan make:model OperationLog -m

php artisan make:observer GenericObserver --model=OperationLog

php artisan make:model Branch  -m
php artisan make:model Room  -m
php artisan make:model RoomStatusLog  -m

php artisan make:observer RoomObserver --model=Room



--memory=5120

php artisan queue:work --timeout=600 --memory=1024
php artisan queue:work --daemon --timeout=3600  --tries=1 --queue=default

composer install
cp .env.example .env
php artisan key:generate

npm install && npm run build
php artisan migrate



php artisan migrate:rollback
php artisan migrate
php artisan transfer:sqlite-to-mysql 


composer require laravel/sanctum
php artisan vendor:publish --provider="Laravel\Sanctum\SanctumServiceProvider"
php artisan migrate

composer require "darkaonline/l5-swagger"
php artisan vendor:publish --provider "L5Swagger\L5SwaggerServiceProvider"
php -d memory_limit=512M artisan l5-swagger:generate

